> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Operation by ID

> Retrieves a single operation, including its current status and deposit instructions.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access_token>` obtained from **POST /api/v1/client/token**. |
| operation_id | Path | Yes | Identifier of the operation, from **GET /admin/operations** or the creation response. |

#### Response

| Field | Description |
| --- | --- |
| id | Unique identifier of the operation. |
| userId | User that owns the operation. |
| numberCode | Sequential tracking number. |
| direction | Kind of operation (e.g. `DEPOSIT`, `WITHDRAWAL`, `TRANSFER`, `RECHARGE`). |
| symbolOrigin / symbolDestination | Assets debited and credited. |
| amountOrigin / amountDestination | Amounts debited and credited. |
| originId / destinationId | Origin and destination of the funds. |
| rate | Rate applied. |
| paymentMethod | Rail used. |
| status | Current status (e.g. `PENDING`, `AWAITING_DEPOSIT`, `COMPLETED`, `REJECTED`, `CANCELED`). |
| registerDate | Creation timestamp. |
| depositInstructions | Where to send the funds, when applicable. |
| treasuryItems | Cost breakdown of the operation. |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/operation/{operation_id}
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/operation/{operation_id}:
    get:
      tags:
        - Liquidity Ramps
      summary: Get Operation by ID
      description: >-
        Retrieves a single operation, including its current status and deposit
        instructions.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access_token>` obtained from
        **POST /api/v1/client/token**. |

        | operation_id | Path | Yes | Identifier of the operation, from **GET
        /admin/operations** or the creation response. |


        #### Response


        | Field | Description |

        | --- | --- |

        | id | Unique identifier of the operation. |

        | userId | User that owns the operation. |

        | numberCode | Sequential tracking number. |

        | direction | Kind of operation (e.g. `DEPOSIT`, `WITHDRAWAL`,
        `TRANSFER`, `RECHARGE`). |

        | symbolOrigin / symbolDestination | Assets debited and credited. |

        | amountOrigin / amountDestination | Amounts debited and credited. |

        | originId / destinationId | Origin and destination of the funds. |

        | rate | Rate applied. |

        | paymentMethod | Rail used. |

        | status | Current status (e.g. `PENDING`, `AWAITING_DEPOSIT`,
        `COMPLETED`, `REJECTED`, `CANCELED`). |

        | registerDate | Creation timestamp. |

        | depositInstructions | Where to send the funds, when applicable. |

        | treasuryItems | Cost breakdown of the operation. |
      operationId: get-operation-by-id
      parameters:
        - name: operation_id
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  type:
                    type: string
                  custodyType:
                    type: string
                  prefix:
                    type: string
                  numberCode:
                    type: integer
                  originId:
                    type: string
                  destinationId:
                    type: string
                  symbolOrigin:
                    type: string
                  symbolDestination:
                    type: string
                  amountOrigin:
                    type: integer
                  amountDestination:
                    type: integer
                  rate:
                    type: integer
                  paymentMethod:
                    type: string
                  registerDate:
                    type: string
                  status:
                    type: string
                  direction:
                    type: string
                  depositInstructions: {}
                  metadataItems: {}
                  events: {}
                  treasuryItems:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        operationId:
                          type: string
                        name:
                          type: string
                        amount:
                          type: integer
                        showClient:
                          type: boolean
              examples:
                get-operation-by-operation-id:
                  summary: Get operation by operation_id
                  value:
                    id: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                    userId: c9a26b49-7b71-44e5-8fdf-03ec6a2a7267
                    type: CUSTODY
                    custodyType: SELF_CUSTODY
                    prefix: NPO
                    numberCode: 19144
                    originId: 5c3fa520-adbb-49aa-a95b-018c13db79e3
                    destinationId: dfa1bb42-74b7-4dab-b52b-0ec2e26253db
                    symbolOrigin: USDC
                    symbolDestination: USD
                    amountOrigin: 50
                    amountDestination: 25
                    rate: 1
                    paymentMethod: WIRE
                    registerDate: '2026-06-22T14:40:28.631968'
                    status: COMPLETED
                    direction: WITHDRAWAL
                    depositInstructions: null
                    metadataItems: null
                    events: null
                    treasuryItems:
                      - id: 038cbf6e-49e3-49c5-9c69-d57dadc7ebbb
                        operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                        name: CostInfra
                        amount: 25
                        showClient: true
                      - id: 2ff13b63-b763-4da6-98d5-c3a204639d60
                        operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                        name: calculateRate
                        amount: 1
                        showClient: true
                      - id: e92f9be7-8449-4d25-9e03-70dc0e8694ef
                        operationId: 9d0ba2b6-6b84-4474-a0fd-456e3967eb4d
                        name: amountReceive
                        amount: 25
                        showClient: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````